%define _name zig

%global baserelease 1

Summary: Zig system programming language
Name: ziglang
Version: 0.7.1
Release: %{baserelease}
License: MIT and NCSA and LGPLv2+ and LGPLv2+ with exceptions and GPLv2+ and GPLv2+ with exceptions and BSD and Inner-Net and ISC and Public Domain and GFDL and ZPLv2.1
Group: Development/Languages
URL: https://github.com/ziglang/zig

Source: https://github.com/ziglang/zig/archive/%{version}.tar.gz

BuildRequires: cmake
BuildRequires: llvm-devel
BuildRequires: clang-devel
BuildRequires: lld-devel
BuildRequires: elfutils-libelf-devel
BuildRequires: libstdc++-static

# These packages are bundled as source

# NCSA
Provides: bundled(compiler-rt) = 11.0.0
#  LGPLv2+, LGPLv2+ with exceptions, GPLv2+, GPLv2+ with exceptions, BSD, Inner-Net, ISC, Public Domain and GFDL
Provides: bundled(glibc) = 2.31
# NCSA
Provides: bundled(libcxx) = 11.0.0
# NCSA
Provides: bundled(libcxxabi) = 11.0.0
# NCSA
Provides: bundled(libunwind) = 11.0.0
# BSD, LGPG, ZPL
Provides: bundled(mingw) = 8.0.0
# MIT
Provides: bundled(musl) = 1.2.1

# Not supported upstream, see https://github.com/ziglang/zig/issues/7686
ExcludeArch: ppc64le s390x %{arm} %ix86

Patch0: doc.patch

%description
Zig is an open-source programming language designed for robustness, optimality,
and clarity. This package provides the zig compiler and the associated runtime.

%prep
%autosetup -n zig-%{version} -p1

%build
%cmake \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo\
    -DZIG_PREFER_CLANG_CPP_DYLIB=ON\
    -DCMAKE_INSTALL_DOCDIR=%{_pkgdocdir}

%cmake_build

%install

%cmake_install

%check

%{_vpath_builddir}/zig build test

%files 
%doc README.md
%license LICENSE
%{_bindir}/%{_name}
%{_prefix}/lib/%{_name}
%doc %{_pkgdocdir}

%changelog
* Tue Jan 5 2021 sguelton@redhat.com - 0.7.1-1
- Rebuild for Fedora
